qatmgr(8)

NAME
qatmgr - QAT resource manager
qatmgr

SYNOPSIS
qatmgr [option]...

DESCRIPTION
qatmgr is a daemon that manages QAT resources for the Intel© Quick Assist Technology (Intel© QAT) user space library (qatlib).

OPTIONS

-d, --debug=LEVEL
    set debug level, default 0 for no debug. Higher debug level produces more output.

-f, --foreground
    run in the foreground. By default, the qatmgr runs as a daemon in the background.

-h, --help
    display help page

-p, --policy=POLICY
    selects the QAT manager policy. This determines how resources should be allocated to each process using the qatlib library. The default POLICY 0 allocates one virtual function (VF) from each physical function (PF) endpoint to each process. This should be selected for best performance. A POLICY of 1 allocates a single VF to each process. This should be selected for maximum scalability. Any other POLICY value allocates that number of VFs to each process.

SEE ALSO
qat_init.sh(8)

FILES
/run/qat/qatmgr.pid /tmp/qat.sock

AUTHOR
Conor McLoughlin <conor.mcloughlin@intel.com>